Page MenuHome

Smooth Shading not working with Cycles
Closed, InvalidPublic

Description

System Information
Operating system and graphics card - Windows 7, Nvidia GeForce GTX 650

Blender Version
Broken: 2.72 95182d1
Worked: 2.71, but when using "true" displacement with Cycles, issue arose.

Setting an object to smooth shading works in solid view, but switching to rendered view reveals faces. I observed this problem in the previous version when experimenting with True displacement in Cycles, but assumed it was an issue with that feature being still in development. Now even when using default 'bump' displacement in rendered view, individual faces are evident.

Create UV sphere, add subsurf modifier at level 2, switch to smooth shading, go to rendered view.

Details

Type
Bug

Event Timeline

Steve Ernst (steveernst117) created this task.
Steve Ernst (steveernst117) raised the priority of this task from to Needs Triage by Developer.
Bastien Montagne (mont29) triaged this task as Needs Information from User priority.

I cannot confirm that here (linux64), either with official 2.72 nor with latest master. CPU render only though, are you using GPU?

Using GPU. Also, I was able to further refine the circumstances of the problem...apparently it has something to do with using a normal map texture connected to a normal map node connected to a shader node. If the normal map node is disconnected, or its strength set to 0, the visible faces go away.

Sounds like a GPU-only issue then…

Bastien Montagne (mont29) raised the priority of this task from Needs Information from User to Normal.Oct 5 2014, 6:44 PM
Sergey Sharybin (sergey) lowered the priority of this task from Normal to Needs Information from User.Oct 7 2014, 3:53 PM

I can not reproduce the issue here, perhaps the images are essential for this. Please pack them in.

Also,

  • Does using Supported feature set helps?
  • Does using Static BVH makes any difference?

Here's the new .blend. I used the 'pack all into .blend' option...let me know if something didn't go through.

No, using Supported and Static BVH changes nothing. Again, it seems to just be an issue with normal mapping. Changing the value of the normal map doesn't fix it until it's set to 0, then the faces disappear and look smooth again. Also, this happens in CPU rendering as well, so not just a GPU issue.

Hmm...apparently the file didn't go through. Let's try this again.

Hey! I also have this issue.

Here are some screenshots



I'm on:
Win7 64
Quadro 4000 (gl), GTX 690 (render), Driver 344.11

Hope this helps.

This is just the Terminator issue. Subdivide your geometry further to fix it.

Thomas Dinges (dingto) closed this task as Invalid.Oct 9 2014, 11:53 AM

Well yes, that would be an obvious solution....but the point of 'smooth shading' is to make it look smoother without the need for more geometry. Which, again, works perfectly until a normal map is applied. I'm sure I don't need to remind anybody that adding buttloads of faces to a simple object whenever I want to use a normal map is less than ideal. Any other useful advice?

It's not a termination issue. It's either a tangent space calculation issue (which i don't think has a huge probability of being faulty) or it's just a precision issue of your tangent normal map. Try using 16bit PNG at least, float and half-float EXR would be even better.